Routes

Get insurance policy document

GEThttps://api.insurely.com/collections/{collectionId}/insurance/policy/{policyId}/document/{documentId}

Downloads the policy letter PDF behind a document reference returned in the insurance data of a collection. Read the policy and document ids off the insurance object returned by GET /collections/{collectionId}/insurance/data and pass them here.

Request

Path Parameters

collectionIdstring
policyIdstring
documentIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Document successfully fetched.

Body

application/pdf

cURL
curl https://api.insurely.com/collections/{collectionId}/insurance/policy/{policyId}/document/{documentId} \
  -H "authorization-token: <authorization-token>"